Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Aug 2010 13:50:11 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: David De La Harpe Golden <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 06 Aug 2010 11:13:50 +0200
> 
> > But that would mean setting the selection each time the user does a
> > C-w or M-w or any other action that pushes text on the kill ring,
> > won't it?
> 
> Isn't that what Emacs has been doing for the last 10 years?

Not as far as I know.  Maybe I was living in some pipe dream, but I
always thought the actual copying happened only when some other
application actually requests the selection.